<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML-Forms and Semantic HTML</title>
	</head>
	<body>
		<head>
			<!-- header tag is a semantic tag to inform the developer and the client that this component is for the header of the web page. -->

			<h2 align = "center">HTML Entities</h2>
		</head>

		<main>
			<!-- this section is for the HTML table -->
			<section>
				<p><em>Reserved Characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the thickness of the table border-->
				<table border = "2">
					<!-- thead tag is for the header for the table -->
					<thead>
						<!-- tr tag defines a table row -->
						<!-- !first header row  -->
						<tr>
							<!-- th tag defines a table header element -->
							<!-- colspan changes the column that a column occupies -->
							<!-- rowspan is the same as colspan just in row -->
							<th colspan = "2">Entity</th>
							<th rowspan = "2">Description</th>
						</tr>

						<!-- !second header row -->
						<tr>
							<th>Symbol/</th>
							<th>Name/Number</th>
						</tr>
					</thead>

					<!-- tbody tag is for the body of the table -->
					<tbody align = "center">
						<!-- first body row -->
						<tr>
							<!-- td tag is used for columns in our body -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>
					</tbody>

					<!-- tfoot tag is for the footer of the table -->
					<tfoot>
						<tr>
							<th colspan = "3">List of HTML Entities</th>
						</tr>
						
					</tfoot>
				</table>
			</section>
			<!-- end of table section -->

			<!-- this section is for HTML Form -->
			<section>
				<!-- <h2 align="center">HTML Form</h2>

				<p>Input elements that make up a form</p> -->

				<form>
					<!-- text inputs -->
					<!-- label tag creates a text element that serves as the label input field. -->
					<!-- input type tag is an empty text field where users input data or information -->
					<!-- for attribute is usde with the id attributes in an input element. This allows users to click the label to type their response. -->
					<!-- name attribute tells the database/api where the value collected from the user will be added depending on the method. -->
					<!-- value attribute is the information from the user that will be passed on the database. -->
					<label for = "fullname">Full name:</label><br/>
					<input type="" name="fullname" id = "fullname" /><br/>

					<label for = "birthdate">Birthdate:</label><br/>
					<input type="date" name="birthdate" id = "birthdate" /><br/>

					<label>Age:</label><br/>
					<input type="number" name="age" id = "age"/><br/>

					<!-- Dropdown -->
					<label for = "gender">Gender:</label><br/>
						<select name="gender" id="gender">
							<option value="male">Male</option>
							<option value="female">Female</option>
						</select><br/>

						<!-- textarea -->
						<label for="suggestion">Suggestions:</label><br/>
						<textarea name="suggestion" rows="5" cols="5" id="suggestion"></textarea><br/>

						<!-- Radio button -->
						<label>Civil Status:</label><br>

						<input type="radio" name="civilstatus" value="single" id="single">
						<label for="single">Single</label><br/>

						<input type="radio" name="civilstatus" value="married" id="married">
						<label for="married">Married</label><br>


						<!-- chech box -->
						<label>Job:</label><br>

						<input type="checkbox" name="job1" value="input" id="developer">
						<label for="developer">Developer</label><br>

						<input type="checkbox" name="job2" value="input" id="student">
						<label for="student">Student</label><br>

						<input type="checkbox" name="job3" value="input" id="manager">
						<label for="manager">Manager</label><br>

					<br/>
					
					<button type="reset">Reset</button>
					<button>Submit</button>
				</form>
			</section>
		</main>
	</body>
</html>